apertium-gen-modes(1)

NAME
apertium-gen-modes - This application is part of ( apertium )

This tool is part of the apertium machine translation architecture: http://apertium.org.

SYNOPSIS
apertium-gen-modes modes-file [package name]

DESCRIPTION
This is an intermediate tool from Apertium level 2 engine. You should never have to use it independently.

It creates a series of .mode files from a modes-file these files are then put into the current directory if they are marked as install, and for modes that are not to be installed, for example debugging modes, these are put into a modes directory inside the linguistic data.

OPTIONS
If a package name is specified, it creates the modes with the apertium install prefix plus the package name. If you wish to install the modes, you should specify the package name. If you don't want to install the modes, leave it off.

FILES
modes-file A XML file that tells apertium-gen-modes which scripts must be created in the directory modes.

SEE ALSO
apertium-interchunk(1), apertium-postchunk(1), apertium-validate-interchunk(1), apertium-validate-modes(1), apertium-validate-postchunk(1).

BUGS
Lots of them...lurking in the dark and waiting for you!

AUTHOR
(c) 2005-2007 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.